Bug 814402 - anaconda displays conflicting information when using vnc
anaconda displays conflicting information when using vnc
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 15:13 EDT by Mark Hamzy
Modified: 2013-12-12 03:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-09 20:34:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2012-04-19 15:13:51 EDT
Description of problem:
There are two ethernet ports on this system.

[anaconda root@sharpie /]# ifconfig
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 9.5.250.145  netmask 255.255.255.0  broadcast 9.5.250.255
        ether 2a:0f:41:b7:3f:03  txqueuelen 1000  (Ethernet)
        RX packets 226554  bytes 17292894 (16.4 MiB)
        RX errors 0  dropped 4  overruns 0  frame 0
        TX packets 124  bytes 42061 (41.0 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 19

eth1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 9.5.90.177  netmask 255.255.255.128  broadcast 9.5.90.255
        inet6 2002:905:150e:302:280f:41ff:feb7:3f06  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::280f:41ff:feb7:3f06  prefixlen 64  scopeid 0x20<link>
        ether 2a:0f:41:b7:3f:06  txqueuelen 1000  (Ethernet)
        RX packets 227674  bytes 18046345 (17.2 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 18  bytes 1712 (1.6 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 22

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 4  bytes 336 (336.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 4  bytes 336 (336.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[anaconda root@sharpie /]# nslookup 9.5.250.145
Server:         9.10.244.200
Address:        9.10.244.200#53

145.250.5.9.in-addr.arpa        name = sharpie.rchland.ibm.com.

[anaconda root@sharpie /]# nslookup 9.5.90.177
Server:         9.10.244.200
Address:        9.10.244.200#53

177.90.5.9.in-addr.arpa name = ibm_dpi-13173d.rchland.ibm.com.

When vnc is brought up the following message is displayed:

14:43:53 Please manually connect your vnc client to ibm_dpi-13173d.rchland.ibm.com:1 (9.5.250.145) to begin the install.
14:43:53 Starting graphical installation.

Notice how the hostname for eth1 is used but the IP address for eth0 is given.

Version-Release number of selected component (if applicable):
anaconda-17.20-1

How reproducible:
Very

Steps to Reproduce:
1. See above
  
Actual results:


Expected results:


Additional info:
Comment 2 Will Woods 2012-04-23 12:31:36 EDT
Thanks for the patch! Committed to anaconda f17-branch:

  http://git.fedorahosted.org/git/?p=anaconda.git;a=commitdiff;h=ef57e5e
Comment 3 Adam Williamson 2013-05-09 20:34:34 EDT
(I'm going through old anaconda bugs). I can't test and confirm this one offhand, but I see the patch made it to anaconda f17 and master, so no reason to believe this wasn't fixed. Closing.

Note You need to log in before you can comment on or make changes to this bug.